On 14/03/2023 23:32, Bruno Haible wrote:
On Hurd/i686, there are 18 failures:

FAIL: tests/misc/ls-misc
FAIL: tests/misc/wc-proc
FAIL: tests/misc/env-S
FAIL: tests/misc/factor-parallel
FAIL: tests/misc/nice
FAIL: tests/misc/stat-slash
FAIL: tests/cp/parent-perm-race
FAIL: tests/cp/sparse-to-pipe
FAIL: tests/cp/special-f
FAIL: tests/df/df-symlink
FAIL: tests/df/unreadable
FAIL: tests/dd/bytes
FAIL: tests/ls/dangle
FAIL: tests/ls/follow-slink
FAIL: tests/ls/hyperlink
FAIL: tests/ls/infloop
FAIL: tests/ls/inode
FAIL: tests/ls/selinux-segfault

In the test tests/cp/sparse-to-pipe, a process ('cp sparse pipe') was hanging;
I killed it so that "make check" could continue.

Pushing this to avoid the hang at least.
cheers

commit 1d03781daa034b77f82c1dac7c0095ce65b1cb63 (HEAD -> master)
Author: Pádraig Brady <p...@draigbrady.com>
Date:   Wed Mar 15 18:11:00 2023 +0000

    test: avoid a test hang on Hurd

    * tests/cp/sparse-to-pipe.sh: Protect the cp call seen to
    hang on Hurd/i686 with a timeout.
    Reported By: Bruno Haible

diff --git a/tests/cp/sparse-to-pipe.sh b/tests/cp/sparse-to-pipe.sh
index 5dfba3f92..a33a7b314 100755
--- a/tests/cp/sparse-to-pipe.sh
+++ b/tests/cp/sparse-to-pipe.sh
@@ -28,7 +28,7 @@ mkfifo_or_skip_ pipe
 timeout 10 cat pipe > copy & pid=$!

 truncate -s1M sparse || framework_failure_
-cp sparse pipe || fail=1
+timeout 10 cp sparse pipe || fail=1

 # Ensure that the cat has completed before comparing.
 wait $pid


Reply via email to